Get Stripe Product
curl --request GET \
--url https://api.example.com/api/payments/stripe/{environment}/catalog/products/{productId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/catalog/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/payments/stripe/{environment}/catalog/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"productId": "prod_123",
"name": "<string>",
"description": "<string>",
"active": true,
"defaultPriceId": "price_123",
"metadata": {},
"syncedAt": "2023-11-07T05:31:56Z"
},
"prices": [
{
"priceId": "price_123",
"productId": "prod_123",
"active": true,
"currency": "usd",
"unitAmount": 2900,
"unitAmountDecimal": "2900",
"type": "recurring",
"lookupKey": "pro_monthly",
"billingScheme": "per_unit",
"taxBehavior": "unspecified",
"recurringInterval": "month",
"recurringIntervalCount": 1,
"metadata": {},
"syncedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Get Stripe Product
Get one mirrored Stripe product and its associated prices.
GET
/
api
/
payments
/
stripe
/
{environment}
/
catalog
/
products
/
{productId}
Get Stripe Product
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Stripe product ID.
Minimum string length:
1Was this page helpful?
⌘I